parameters:
    ignoreErrors:
        - '#\[BC\] CHANGED: Property Faker\\Provider\\[a-zA-Z]+::\$[1-9a-zA-Z]+ changed default value#'
        - '#\[BC\] CHANGED: Property Faker\\Provider\\[a-z_A-Z]+\\[a-zA-Z]+::\$[1-9a-zA-Z]+ changed default value#'
        - '#\[BC\] CHANGED: Property Faker\\Factory::\$defaultProviders changed default value#'
        - '#\[BC\] CHANGED: Type documentation for property Faker\\Provider\\en_ZA\\Internet::\$tld changed from having no type to array#'
        - '#\[BC\] CHANGED: The parameter \$generator of Faker\\ValidGenerator\#\_\_construct\(\) changed from Faker\\Generator to no type#'
        - '#\[BC\] CHANGED: The parameter \$generator of Faker\\UniqueGenerator\#\_\_construct\(\) changed from Faker\\Generator to no type#'
        - '#\[BC\] CHANGED: The return type of Faker\\Extension\\PersonExtension\#name\(\) changed from no type to string#'
        - '#\[BC\] CHANGED: The parameter \$max of Faker\\Extension\\NumberExtension\#randomFloat\(\) changed from float to float\|null#'
        - '#\[BC\] REMOVED: Method Faker\\Generator\#uuid\(\) was removed#'
        - '#\[BC\] REMOVED: Method Faker\\Generator\#uuid3\(\) was removed#'
        - '#\[BC\] REMOVED: Class Faker\\Extension\\ContainerException has been deleted#'
        - '#\[BC\] REMOVED: Class Faker\\Extension\\NotInContainerException has been deleted#'
        - '#\[BC\] REMOVED: Class Faker\\Extension\\ContainerBuilder has been deleted#'
        - '#\[BC\] REMOVED: Class Faker\\Extension\\Container has been deleted#'
        - '#\[BC\] CHANGED: The parameter \$container of Faker\\Generator\#\_\_construct\(\) changed from Psr\\Container\\ContainerInterface\|null to a non-contravariant Faker\\Container\\ContainerInterface\|null#'
        - '#\[BC\] CHANGED: The parameter \$container of Faker\\Generator\#\_\_construct\(\) changed from Psr\\Container\\ContainerInterface\|null to Faker\\Container\\ContainerInterface\|null#'
